
# -*- python -*-

todo = Platform('caba', 'top.cpp',
        uses = [
            Uses('common:mapping_table'),
            Uses('caba:vci_cc_vcache_wrapper_v4', iss_t = 'common:mips32el'),
            Uses('caba:vci_cc_vcache_wrapper_v4', iss_t = 'common:gdb_iss',
                gdb_iss_t = 'common:mips32el'),
            Uses('caba:vci_simple_ram'),
            Uses('caba:vci_logger'),
            Uses('caba:vci_multi_tty'),
            Uses('caba:vci_icu'),
            Uses('caba:vci_timer'),
            Uses('caba:vci_block_device_tsar_v4'),
            Uses('caba:vci_framebuffer'),
            Uses('caba:vci_vgmn'),
            Uses('caba:vci_mem_cache_v4'),
            Uses('common:elf_file_loader'),
            ],
        cell_size = 4,
        plen_size = 8,
        addr_size = 32,
        rerror_size = 2,
        clen_size = 1,
        rflag_size = 1,
        srcid_size = 14,
        pktid_size = 4,
        trdid_size = 4,
        wrplen_size = 1
        )

